/* EURO 2020 */

.euro2020 {
  position: relative;
  display: flex;
  flex-direction: column;
  width: 100%;
  height: auto;
}

.euro2020 .matches {
  display: flex;
  flex-direction: row;
  overflow: hidden;
  overflow-x: scroll;
  position: relative;
  font-family: "Roboto", Arial, sans-serif;
  font-size: 14px;
  gap: 12px;
  padding: 0 0 16px 0;
}

.match::-webkit-scrollbar {
  display: none;
}

.match {
  width: 280px;
  /* height: 80px; */
  height: auto;
  height: fit-content;
  max-height: 90px;
  flex-grow: 0;
  flex-shrink: 0;
  padding: 16px;
  float: left;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: flex-start;
  border: 1px solid #ddd;
  border-radius: 8px;
  box-shadow: 2px 2px 6px rgba(0, 0, 0, 0.2);
  /* transition: box-shadow 0.3s ease-in-out; */
  /* cursor: pointer; */
  background: #fff;
}

.match.liveMatchCard {
  border-color: #eb2a2e;
}

/* .match:hover {
  box-shadow: 4px 4px 12px rgba(0, 0, 0, 0.3);
} */

.match .teamWrapper {
  width: 100%;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-evenly;
  height: auto;
  gap: 4px;
}

.match .teamWrapper > div {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  text-align: center;
  width: 33.33%;
  flex-grow: 0;
  flex-shrink: 0;
  gap: 8px;
}

.match .date {
  font-size: 12px;
  font-family: "Sackers Gothic Std", sans-serif;
  color: #888;
  margin-bottom: 4px;
  gap: 0px !important;
}

.match .date .time,
.match .date .score {
  font-size: 14px;
  font-weight: bold;
}

.match .date .score {
  font-size: 16px;
}

.match .date .month,
.match .date .ps-score {
  font-weight: bold;
  background: #ccc;
  padding: 2px 8px;
  color: white;
  border-radius: 20px;
}

.match .date .ps-score {
  background: transparent;
  color: #656565;
  opacity: 0.8;
}

.match.live .date .month {
  background: red;
}

.match .team {
  font-size: 16px;
}

.match .teamWrapper .team .teamName {
  font-family: Roboto, Arial, sans-serif;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
  width: 100%;
  height: 20px;
  display: block;
  text-align: center;
  line-height: 20px;
  font-weight: bold;
  text-transform: uppercase;
  font-size: 12px;
  letter-spacing: 1px;
}
.match .team img {
  width: 40px;
  border: 1px solid #ddd;
  box-shadow: 1px 1px 4px rgba(0, 0, 0, 0.3);
}

.match.final {
  background: #ffd044;
  color: black;
}

.match.final .date {
  color: black;
  margin-top: 8px;
}

.match.final .date2 {
  font-size: 12px;
  font-family: "Sackers Gothic Std", sans-serif;
  color: #888;
  margin: 8px 0 8px 0;
  color: black;
}

/* .home .match {
  padding: 0px 16px;
  justify-content: center;
} */

.match .homeTeam {
}

.match .awayTeam {
}

.euro2020 .euroarrow {
  position: absolute;
  right: 0;
  top: 0;
  bottom: 0;
  height: 100%;
  z-index: 999;
  background: url("../images/euro2020/euroarrow.png") no-repeat center right;
  background-size: contain;
  width: 30px;
  height: 90px;
}

.euro2021 .euroarrow {
  display: none;
}

.euro2021 .euro2020 .matches {
  display: block;
}

.euro2021 .match {
  display: inline-block;
  float: left;
  width: 50%;
  border-right: none;
}

@media (min-width: 768px) {
  .euro2021 .match {
    width: 33%;
  }
}

/* @media (min-width: 992px) {
  .euro2021 .match {
    width: 20%;
  }
} */

.euro2021 .match .team {
  font-size: 14px;
  display: flex;
  align-content: center;
  align-items: center;
  align-self: center;
  height: 20px;
}

.euro2021 table img {
  width: 20px;
  float: left;
  margin-right: 8px;
}

.euro2020live {
}

.euro2020live table {
  max-width: 400px;
  font-size: 16px;
  margin: 0 auto;
}

.euro2020live table tr td {
  vertical-align: middle;
  border: none !important;
}

.euro2020live table tr td img {
  width: 20px;
}

.pendingTeam {
  display: inline-block;
  width: 20px;
  height: 20px;
  background: #ccc;
  border-radius: 50%;
  margin-right: 8px;
}

.liveMatches {
  font-family: Roboto, Arial, sans-serif;
  font-weight: bold;
  text-transform: uppercase;
  margin-bottom: 16px;
  font-size: 10px;
}

.liveMatches .table-responsive {
  border: none;
}

.liveMatches .score {
  font-family: "Sackers Gothic Std", sans-serif;
  font-size: 16px;
  font-weight: bold;
  text-align: center;
}

.liveMatchCard .month {
  background: #eb2a2e !important;
  color: white !important;
  padding: 2px 8px !important;
  border-radius: 20px !important;
  font-size: 12px !important;
  font-family: Roboto, Arial, sans-serif !important;
  font-weight: bold !important;
  text-transform: uppercase !important;
}

.team-flag {
  width: 40px;
  border: 1px solid #ddd;
  box-shadow: 1px 1px 4px rgba(0, 0, 0, 0.3);
}

.euro2020 .matches {
  padding-left: 16px;
}

@media (min-width: 992px) {
  .euro2020 .matches {
    padding-left: 0;
  }
}

.euro2020scores {
  display: flex;
  flex-direction: column;
  width: 100%;
}

.euro2020scores .euro2020scores-inner {
  display: flex;
  flex-direction: column;
  gap: 0px;
}

.euro2020scores .euro2020scores-inner .match {
  width: 100%;
  max-width: 100%;
  border: none;
  border-bottom: 1px solid #ddd;
  border-radius: 0;
  box-shadow: none;
  background: transparent;
}

@media (min-width: 992px) {
  .euro2020scores .euro2020scores-inner {
    flex-direction: row;
    flex-wrap: wrap;
    gap: 16px;
    justify-content: space-between;
  }

  .euro2020scores .euro2020scores-inner .match {
    width: 50%;
    max-width: 50%;
    width: calc(50% - 16px);
    max-width: calc(50% - 16px);
  }
}

.euro2020-groups-list {
  font-family: Roboto, Arial, sans-serif;
}

.euro2020-groups-list table {
  min-width: 100%;
  text-transform: uppercase;
  font-weight: bold;
  font-size: 14px;
  letter-spacing: 1px;
}

.euro2020-groups-list table tbody tr {
  border-bottom: 1px solid #eee;
}

.euro2020-groups-list img {
  margin-right: 8px;
  width: 40px !important;
}

.groupKeys {
  display: flex;
  flex-direction: row;
  gap: 4px;
  margin: 16px 0;
}

.groupKeys .groupKey {
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 4px 12px;
  background: #ddd;
  border-radius: 20px;
  font-size: 12px;
  font-weight: bold;
  cursor: pointer;
  color: #555;
  text-decoration: none;
  transition:
    background 0.3s,
    color 0.3s;
  width: 100%;
  overflow: hidden;
  font-family: Roboto, Arial, sans-serif;
  font-weight: bold;
}

.groupKeys .groupKey:hover,
.groupKeys .groupKey.current {
  background: #555;
  color: #fff;
}

.groupStandings {
  display: none;
}

.dataWrapperWC .tar-title {
  margin-left: 0 !important;
}

.single-post .euroarrow {
  display: none;
}

.single-post .euro2020 .matches {
  padding-left: 16px !important;
}

.euro2020-title .tar-title {
  margin-left: 0 !important;
}

/* END EURO 2020 */
